org.apache.trevni

## Class ColumnMetaData

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,byte[]>
      - - org.apache.trevni.MetaData<ColumnMetaData>
        - - org.apache.trevni.ColumnMetaData

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,byte[]>

    public class ColumnMetaData
    extends MetaData<ColumnMetaData>

Metadata for a column.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`ColumnMetaData(String name, ValueType type)` Construct given a name and type.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ColumnMetaData>` `getChildren()` Return this column's children or null.
`String` `getName()` Return this column's name.
`int` `getNumber()` Return this column's number in a file.
`ColumnMetaData` `getParent()` Return this column's parent or null.
`ValueType` `getType()` Return this column's type.
`boolean` `hasIndexValues()` Get whether this column has an index of blocks by value.
`ColumnMetaData` `hasIndexValues(boolean values)` Set whether this column has an index of blocks by value.
`boolean` `isArray()` Return true if this column is an array.
`ColumnMetaData` `isArray(boolean isArray)` Set whether this column is an array.
`ColumnMetaData` `setParent(ColumnMetaData parent)` Set this column's parent.

### Methods inherited from class org.apache.trevni.MetaData

`getBoolean, getChecksum, getCodec, getLong, getString, isReserved, set, set, set, setChecksum, setCodec, toString`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Constructor Detail

#### ColumnMetaData

    public ColumnMetaData(String name,
                          ValueType type)

Construct given a name and type.

### Method Detail

#### getName

    public String getName()

Return this column's name.

#### getType

    public ValueType getType()

Return this column's type.

#### getParent

    public ColumnMetaData getParent()

Return this column's parent or null.

#### getChildren

    public List<ColumnMetaData> getChildren()

Return this column's children or null.

#### isArray

    public boolean isArray()

Return true if this column is an array.

#### getNumber

    public int getNumber()

Return this column's number in a file.

#### hasIndexValues

    public ColumnMetaData hasIndexValues(boolean values)

Set whether this column has an index of blocks by value. This only makes sense for sorted columns and permits one to seek into a column by value.

#### setParent

    public ColumnMetaData setParent(ColumnMetaData parent)

Set this column's parent. A parent must be a preceding array column.

#### isArray

    public ColumnMetaData isArray(boolean isArray)

Set whether this column is an array.

#### hasIndexValues

    public boolean hasIndexValues()

Get whether this column has an index of blocks by value.